Bug 43218 - Xconfigurator is a major disk hog
Summary: Xconfigurator is a major disk hog
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-01 21:31 UTC by Alan Cox
Modified: 2007-03-27 03:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 14:51:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2001-06-01 21:31:28 UTC
Xconfigurator depends on gtk and gdk_pixbuf. In turn gdk_pixbuf sucks in
half of Gnome. Very annoying on a 340Mb disk when you are trying to setup X
with a lightweight setup. Older Xconfigurators didnt suck in
gtk/gdk/gnome...

Comment 1 Mike A. Harris 2001-06-02 08:12:32 UTC
Yes, this should be done in Xt instead.  It will be rewritten to use Xt/Xlib
instead at some point.  It is added to my todo list now, but if someone else
is familiar with Xt/Xlib and feels like working on it, I'm glad to take
patches.  ;o)  Otherwise, I'll hack on it sometime myself.

Thanks for pointing out this suckageness, as I am trying to find all of the
nasties that suck in X on minimal installs.  I've eliminated some nasties,
but this one is certainly one that needs fixing.  If you know of other apps,
etc that suck in X on minimal installs, please let me know.  ssh used to do
that, but I think I've fixed that.  I'm sure there are other probs lurking
as well.

Comment 2 Mike A. Harris 2001-06-07 19:04:43 UTC
The gtk library responsible for sucking in GNOME has been split out
into a separate package by hp.  This probably should still be rewritten
though.

Comment 3 Mike A. Harris 2001-11-05 13:47:31 UTC
This dependancy hog thing has been resolved has it not?

Comment 4 Mike A. Harris 2001-11-05 13:48:19 UTC
That last question was for Havoc by the way... forgot to mention that
as I Cc'd him.

Comment 5 Havoc Pennington 2001-11-05 14:50:57 UTC
There is no dependency issue, only gdk-pixbuf-gnome should suck in gnome,
gdk-pixbuf depends only on GLib and libpng etc.

Comment 6 Mike A. Harris 2001-11-06 03:25:37 UTC
Ok, problem solved then, thanks HP.


Note You need to log in before you can comment on or make changes to this bug.